[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] VMware support and libcurl on rhel-u1



I'll try with 7.15

can I test with ESX4i?

Shahar



From: Matthias Bolte <matthias bolte googlemail com>
To: Shahar Klein <shaharklein yahoo com>
Sent: Sunday, July 26, 2009 5:56:18 PM
Subject: Re: [libvirt] VMware support and libcurl on rhel-u1

2009/7/26 Shahar Klein <shaharklein yahoo com>:
> It doesn't because I built libcurl on a different path (/usr/local/lib)
> So I won't damage other stuff on this box.
> I thought that this is what the LIBCURL_LIBS and LIBCURL_CFLAGS env vars are
> for.

No, but installing in the /usr/local prefix should also work with
pkg-config. The .pc for libcurl should be located at
/usr/local/lib/pkgconfig/libcurl.pc and pkg-config should find it.
Maybe you have to set PKG_CONFIG_PATH in order to have pkg-config pick
it up.

Check the output of:

pkg-config libcurl --modversion

It should output 7.18 or what ever your version is, if installed correctly.

> btw - Do I really need libcurl 7.18? trying to install it pushing me into
> the depnendncy hell:
[...]

Hm... I just looked at the changelist of libcurl and something older
like version 7.15 may also work, but I haven't tested it. You could
give it a try and edit the configure.in file and change 7.18 to 7.15
and see if that works out.

Regards,
  Matthias


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]